
Redmine - Defect #13165

rdm-mailhandler.rb: initialize_http_header override basic auth

2013-02-13 23:18 - Jean-Louis Fuchs

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.2.4   

Resolution: Fixed Affected version: 2.2.3

Description

request.initialize_http_header() and request.basic_auth should be switched. One has to initialize the headers first and then set basic

auth, since basic auth will change the headers.

As the problem still exists in trunk is suppose this affects all versions of redmine. Patch attached.

Associated revisions

Revision 11371 - 2013-02-14 18:52 - Jean-Philippe Lang

Fixed thatinitialize_http_header overrides basic auth in rdm-mailhandler.rb (#13165).

Patch by Jean-Louis Fuchs.

Revision 11593 - 2013-03-11 19:22 - Jean-Philippe Lang

Merged r11371 from trunk (#13165).

History

#1 - 2013-02-14 18:53 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.4

- Affected version (unused) changed from devel to 2.2.3

- Resolution set to Fixed

- Affected version set to 2.2.3

Fix committed in r11371, thanks for pointing this out.

#2 - 2013-03-11 19:22 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

rdm-mailhanlder.rb.patch 588 Bytes 2013-02-13 Jean-Louis Fuchs
